1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13 
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_default_prefix=/usr
15ac_help="$ac_help
16 --enable-shared=[yes/no] Enable use of shared libraries [default=yes]"
17ac_help="$ac_help
18 --enable-gettext=[yes/no] Enable alternate language support [default=yes]"
19
20# Initialize some variables set by options.
21# The variables have the same names as the options, with
22# dashes changed to underlines.
23build=NONE
24cache_file=./config.cache
25exec_prefix=NONE
26host=NONE
27no_create=
28nonopt=NONE
29no_recursion=
30prefix=NONE
31program_prefix=NONE
32program_suffix=NONE
33program_transform_name=s,x,x,
34silent=
35site=
36srcdir=
37target=NONE
38verbose=
39x_includes=NONE
40x_libraries=NONE
41bindir='${exec_prefix}/bin'
42sbindir='${exec_prefix}/sbin'
43libexecdir='${exec_prefix}/libexec'
44datadir='${prefix}/share'
45sysconfdir='${prefix}/etc'
46sharedstatedir='${prefix}/com'
47localstatedir='${prefix}/var'
48libdir='${exec_prefix}/lib'
49includedir='${prefix}/include'
50oldincludedir='/usr/include'
51infodir='${prefix}/info'
52mandir='${prefix}/man'
53
54# Initialize some other variables.
55subdirs=
56MFLAGS= MAKEFLAGS=
57SHELL=${CONFIG_SHELL-/bin/sh}
58# Maximum number of lines to put in a shell here document.
59ac_max_here_lines=12
60
61ac_prev=
62for ac_option
63do
64
65  # If the previous option needs an argument, assign it.
66  if test -n "$ac_prev"; then
67    eval "$ac_prev=\$ac_option"
68    ac_prev=
69    continue
70  fi
71
72  case "$ac_option" in
73  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
74  *) ac_optarg= ;;
75  esac
76
77  # Accept the important Cygnus configure options, so we can diagnose typos.
78
79  case "$ac_option" in
80
81  -bindir | --bindir | --bindi | --bind | --bin | --bi)
82    ac_prev=bindir ;;
83  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
84    bindir="$ac_optarg" ;;
85
86  -build | --build | --buil | --bui | --bu)
87    ac_prev=build ;;
88  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
89    build="$ac_optarg" ;;
90
91  -cache-file | --cache-file | --cache-fil | --cache-fi \
92  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
93    ac_prev=cache_file ;;
94  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
95  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
96    cache_file="$ac_optarg" ;;
97
98  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
99    ac_prev=datadir ;;
100  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
101  | --da=*)
102    datadir="$ac_optarg" ;;
103
104  -disable-* | --disable-*)
105    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
106    # Reject names that are not valid shell variable names.
107    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
108      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
109    fi
110    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
111    eval "enable_${ac_feature}=no" ;;
112
113  -enable-* | --enable-*)
114    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
115    # Reject names that are not valid shell variable names.
116    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
117      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
118    fi
119    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
120    case "$ac_option" in
121      *=*) ;;
122      *) ac_optarg=yes ;;
123    esac
124    eval "enable_${ac_feature}='$ac_optarg'" ;;
125
126  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
127  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
128  | --exec | --exe | --ex)
129    ac_prev=exec_prefix ;;
130  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
131  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
132  | --exec=* | --exe=* | --ex=*)
133    exec_prefix="$ac_optarg" ;;
134
135  -gas | --gas | --ga | --g)
136    # Obsolete; use --with-gas.
137    with_gas=yes ;;
138
139  -help | --help | --hel | --he)
140    # Omit some internal or obsolete options to make the list less imposing.
141    # This message is too long to be a string in the A/UX 3.1 sh.
142    cat << EOF
143Usage: configure [options] [host]
144Options: [defaults in brackets after descriptions]
145Configuration:
146  --cache-file=FILE       cache test results in FILE
147  --help                  print this message
148  --no-create             do not create output files
149  --quiet, --silent       do not print \`checking...' messages
150  --version               print the version of autoconf that created configure
151Directory and file names:
152  --prefix=PREFIX         install architecture-independent files in PREFIX
153                          [$ac_default_prefix]
154  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
155                          [same as prefix]
156  --bindir=DIR            user executables in DIR [EPREFIX/bin]
157  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
158  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
159  --datadir=DIR           read-only architecture-independent data in DIR
160                          [PREFIX/share]
161  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
162  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
163                          [PREFIX/com]
164  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
165  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
166  --includedir=DIR        C header files in DIR [PREFIX/include]
167  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
168  --infodir=DIR           info documentation in DIR [PREFIX/info]
169  --mandir=DIR            man documentation in DIR [PREFIX/man]
170  --srcdir=DIR            find the sources in DIR [configure dir or ..]
171  --program-prefix=PREFIX prepend PREFIX to installed program names
172  --program-suffix=SUFFIX append SUFFIX to installed program names
173  --program-transform-name=PROGRAM
174                          run sed PROGRAM on installed program names
175EOF
176    cat << EOF
177Host type:
178  --build=BUILD           configure for building on BUILD [BUILD=HOST]
179  --host=HOST             configure for HOST [guessed]
180  --target=TARGET         configure for TARGET [TARGET=HOST]
181Features and packages:
182  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
183  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
184  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
185  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
186  --x-includes=DIR        X include files are in DIR
187  --x-libraries=DIR       X library files are in DIR
188EOF
189    if test -n "$ac_help"; then
190      echo "--enable and --with options recognized:$ac_help"
191    fi
192    exit 0 ;;
193
194  -host | --host | --hos | --ho)
195    ac_prev=host ;;
196  -host=* | --host=* | --hos=* | --ho=*)
197    host="$ac_optarg" ;;
198
199  -includedir | --includedir | --includedi | --included | --include \
200  | --includ | --inclu | --incl | --inc)
201    ac_prev=includedir ;;
202  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
203  | --includ=* | --inclu=* | --incl=* | --inc=*)
204    includedir="$ac_optarg" ;;
205
206  -infodir | --infodir | --infodi | --infod | --info | --inf)
207    ac_prev=infodir ;;
208  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
209    infodir="$ac_optarg" ;;
210
211  -libdir | --libdir | --libdi | --libd)
212    ac_prev=libdir ;;
213  -libdir=* | --libdir=* | --libdi=* | --libd=*)
214    libdir="$ac_optarg" ;;
215
216  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
217  | --libexe | --libex | --libe)
218    ac_prev=libexecdir ;;
219  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
220  | --libexe=* | --libex=* | --libe=*)
221    libexecdir="$ac_optarg" ;;
222
223  -localstatedir | --localstatedir | --localstatedi | --localstated \
224  | --localstate | --localstat | --localsta | --localst \
225  | --locals | --local | --loca | --loc | --lo)
226    ac_prev=localstatedir ;;
227  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
228  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
229  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
230    localstatedir="$ac_optarg" ;;
231
232  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
233    ac_prev=mandir ;;
234  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
235    mandir="$ac_optarg" ;;
236
237  -nfp | --nfp | --nf)
238    # Obsolete; use --without-fp.
239    with_fp=no ;;
240
241  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
242  | --no-cr | --no-c)
243    no_create=yes ;;
244
245  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
246  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
247    no_recursion=yes ;;
248
249  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
250  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
251  | --oldin | --oldi | --old | --ol | --o)
252    ac_prev=oldincludedir ;;
253  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
254  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
255  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
256    oldincludedir="$ac_optarg" ;;
257
258  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
259    ac_prev=prefix ;;
260  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
261    prefix="$ac_optarg" ;;
262
263  -program-prefix | --program-prefix | --program-prefi | --program-pref \
264  | --program-pre | --program-pr | --program-p)
265    ac_prev=program_prefix ;;
266  -program-prefix=* | --program-prefix=* | --program-prefi=* \
267  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
268    program_prefix="$ac_optarg" ;;
269
270  -program-suffix | --program-suffix | --program-suffi | --program-suff \
271  | --program-suf | --program-su | --program-s)
272    ac_prev=program_suffix ;;
273  -program-suffix=* | --program-suffix=* | --program-suffi=* \
274  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
275    program_suffix="$ac_optarg" ;;
276
277  -program-transform-name | --program-transform-name \
278  | --program-transform-nam | --program-transform-na \
279  | --program-transform-n | --program-transform- \
280  | --program-transform | --program-transfor \
281  | --program-transfo | --program-transf \
282  | --program-trans | --program-tran \
283  | --progr-tra | --program-tr | --program-t)
284    ac_prev=program_transform_name ;;
285  -program-transform-name=* | --program-transform-name=* \
286  | --program-transform-nam=* | --program-transform-na=* \
287  | --program-transform-n=* | --program-transform-=* \
288  | --program-transform=* | --program-transfor=* \
289  | --program-transfo=* | --program-transf=* \
290  | --program-trans=* | --program-tran=* \
291  | --progr-tra=* | --program-tr=* | --program-t=*)
292    program_transform_name="$ac_optarg" ;;
293
294  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
295  | -silent | --silent | --silen | --sile | --sil)
296    silent=yes ;;
297
298  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
299    ac_prev=sbindir ;;
300  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
301  | --sbi=* | --sb=*)
302    sbindir="$ac_optarg" ;;
303
304  -sharedstatedir | --sharedstatedir | --sharedstatedi \
305  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
306  | --sharedst | --shareds | --shared | --share | --shar \
307  | --sha | --sh)
308    ac_prev=sharedstatedir ;;
309  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
310  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
311  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
312  | --sha=* | --sh=*)
313    sharedstatedir="$ac_optarg" ;;
314
315  -site | --site | --sit)
316    ac_prev=site ;;
317  -site=* | --site=* | --sit=*)
318    site="$ac_optarg" ;;
319
320  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
321    ac_prev=srcdir ;;
322  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
323    srcdir="$ac_optarg" ;;
324
325  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
326  | --syscon | --sysco | --sysc | --sys | --sy)
327    ac_prev=sysconfdir ;;
328  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
329  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
330    sysconfdir="$ac_optarg" ;;
331
332  -target | --target | --targe | --targ | --tar | --ta | --t)
333    ac_prev=target ;;
334  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
335    target="$ac_optarg" ;;
336
337  -v | -verbose | --verbose | --verbos | --verbo | --verb)
338    verbose=yes ;;
339
340  -version | --version | --versio | --versi | --vers)
341    echo "configure generated by autoconf version 2.13"
342    exit 0 ;;
343
344  -with-* | --with-*)
345    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
346    # Reject names that are not valid shell variable names.
347    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
348      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
349    fi
350    ac_package=`echo $ac_package| sed 's/-/_/g'`
351    case "$ac_option" in
352      *=*) ;;
353      *) ac_optarg=yes ;;
354    esac
355    eval "with_${ac_package}='$ac_optarg'" ;;
356
357  -without-* | --without-*)
358    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
359    # Reject names that are not valid shell variable names.
360    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
361      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
362    fi
363    ac_package=`echo $ac_package| sed 's/-/_/g'`
364    eval "with_${ac_package}=no" ;;
365
366  --x)
367    # Obsolete; use --with-x.
368    with_x=yes ;;
369
370  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
371  | --x-incl | --x-inc | --x-in | --x-i)
372    ac_prev=x_includes ;;
373  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
374  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
375    x_includes="$ac_optarg" ;;
376
377  -x-libraries | --x-libraries | --x-librarie | --x-librari \
378  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
379    ac_prev=x_libraries ;;
380  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
381  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
382    x_libraries="$ac_optarg" ;;
383
384  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
385    ;;
386
387  *)
388    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
389      echo "configure: warning: $ac_option: invalid host type" 1>&2
390    fi
391    if test "x$nonopt" != xNONE; then
392      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
393    fi
394    nonopt="$ac_option"
395    ;;
396
397  esac
398done
399
400if test -n "$ac_prev"; then
401  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
402fi
403
404trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
405
406# File descriptor usage:
407# 0 standard input
408# 1 file creation
409# 2 errors and warnings
410# 3 some systems may open it to /dev/tty
411# 4 used on the Kubota Titan
412# 6 checking for... messages and results
413# 5 compiler messages saved in config.log
414if test "$silent" = yes; then
415  exec 6>/dev/null
416else
417  exec 6>&1
418fi
419exec 5>./config.log
420
421echo "\
422This file contains any messages produced by compilers while
423running configure, to aid debugging if configure makes a mistake.
424" 1>&5
425
426# Strip out --no-create and --no-recursion so they do not pile up.
427# Also quote any args containing shell metacharacters.
428ac_configure_args=
429for ac_arg
430do
431  case "$ac_arg" in
432  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
433  | --no-cr | --no-c) ;;
434  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
435  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
436  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
437  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
438  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
439  esac
440done
441
442# NLS nuisances.
443# Only set these to C if already set.  These must not be set unconditionally
444# because not all systems understand e.g. LANG=C (notably SCO).
445# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
446# Non-C LC_CTYPE values break the ctype check.
447if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
448if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
449if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
450if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
451
452# confdefs.h avoids OS command line length limits that DEFS can exceed.
453rm -rf conftest* confdefs.h
454# AIX cpp loses on an empty file, so make sure it contains at least a newline.
455echo > confdefs.h
456
457# A filename unique to this package, relative to the directory that
458# configure is in, which we can look for to find out if srcdir is correct.
459ac_unique_file=include/acl.h
460
461# Find the source files, if location was not specified.
462if test -z "$srcdir"; then
463  ac_srcdir_defaulted=yes
464  # Try the directory containing this script, then its parent.
465  ac_prog=$0
466  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
467  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
468  srcdir=$ac_confdir
469  if test ! -r $srcdir/$ac_unique_file; then
470    srcdir=..
471  fi
472else
473  ac_srcdir_defaulted=no
474fi
475if test ! -r $srcdir/$ac_unique_file; then
476  if test "$ac_srcdir_defaulted" = yes; then
477    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
478  else
479    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
480  fi
481fi
482srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
483
484# Prefer explicitly selected file to automatically selected ones.
485if test -z "$CONFIG_SITE"; then
486  if test "x$prefix" != xNONE; then
487    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
488  else
489    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
490  fi
491fi
492for ac_site_file in $CONFIG_SITE; do
493  if test -r "$ac_site_file"; then
494    echo "loading site script $ac_site_file"
495    . "$ac_site_file"
496  fi
497done
498
499if test -r "$cache_file"; then
500  echo "loading cache $cache_file"
501  . $cache_file
502else
503  echo "creating cache $cache_file"
504  > $cache_file
505fi
506
507ac_ext=c
508# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
509ac_cpp='$CPP $CPPFLAGS'
510ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
511ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
512cross_compiling=$ac_cv_prog_cc_cross
513
514ac_exeext=
515ac_objext=o
516if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
517  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
518  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
519    ac_n= ac_c='
520' ac_t='	'
521  else
522    ac_n=-n ac_c= ac_t=
523  fi
524else
525  ac_n= ac_c='\c' ac_t=
526fi
527
528
529
530
531
532# Check whether --enable-shared or --disable-shared was given.
533if test "${enable_shared+set}" = set; then
534  enableval="$enable_shared"
535  :
536else
537  enable_shared=yes
538fi
539
540
541
542# Check whether --enable-gettext or --disable-gettext was given.
543if test "${enable_gettext+set}" = set; then
544  enableval="$enable_gettext"
545  :
546else
547  enable_gettext=yes
548fi
549
550
551
552 pkg_name="acl"
553    
554
555    . ./VERSION
556    pkg_version=${PKG_MAJOR}.${PKG_MINOR}.${PKG_REVISION}
557    
558    pkg_release=$PKG_BUILD
559    test -z "$BUILD_VERSION" || pkg_release="$BUILD_VERSION"
560    
561
562    DEBUG=${DEBUG:-'-DDEBUG'}		    debug_build="$DEBUG"
563    
564
565    OPTIMIZER=${OPTIMIZER:-'-g'}	    opt_build="$OPTIMIZER"
566    
567
568    MALLOCLIB=${MALLOCLIB:-''}		    malloc_lib="$MALLOCLIB"
569    
570
571    PKG_USER=${INSTALL_USER:-'root'}
572    pkg_user="$PKG_USER"
573    
574
575    PKG_GROUP=${INSTALL_GROUP:-'root'}
576    pkg_group="$PKG_GROUP"
577    
578
579    pkg_distribution=`uname -s`
580    test -z "$DISTRIBUTION" || pkg_distribution="$DISTRIBUTION"
581    
582
583    pkg_platform=`uname -s | tr 'A-Z' 'a-z' | sed -e 's/irix64/irix/'`
584    test -z "$PLATFORM" || pkg_platform="$PLATFORM"
585    
586  
587 if test -z "$CC"; then
588        # Extract the first word of "gcc", so it can be a program name with args.
589set dummy gcc; ac_word=$2
590echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
591echo "configure:592: checking for $ac_word" >&5
592if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
593  echo $ac_n "(cached) $ac_c" 1>&6
594else
595  if test -n "$CC"; then
596  ac_cv_prog_CC="$CC" # Let the user override the test.
597else
598  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
599  ac_dummy="$PATH"
600  for ac_dir in $ac_dummy; do
601    test -z "$ac_dir" && ac_dir=.
602    if test -f $ac_dir/$ac_word; then
603      ac_cv_prog_CC="gcc"
604      break
605    fi
606  done
607  IFS="$ac_save_ifs"
608fi
609fi
610CC="$ac_cv_prog_CC"
611if test -n "$CC"; then
612  echo "$ac_t""$CC" 1>&6
613else
614  echo "$ac_t""no" 1>&6
615fi
616
617if test -z "$CC"; then
618  # Extract the first word of "cc", so it can be a program name with args.
619set dummy cc; ac_word=$2
620echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
621echo "configure:622: checking for $ac_word" >&5
622if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
623  echo $ac_n "(cached) $ac_c" 1>&6
624else
625  if test -n "$CC"; then
626  ac_cv_prog_CC="$CC" # Let the user override the test.
627else
628  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
629  ac_prog_rejected=no
630  ac_dummy="$PATH"
631  for ac_dir in $ac_dummy; do
632    test -z "$ac_dir" && ac_dir=.
633    if test -f $ac_dir/$ac_word; then
634      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
635        ac_prog_rejected=yes
636	continue
637      fi
638      ac_cv_prog_CC="cc"
639      break
640    fi
641  done
642  IFS="$ac_save_ifs"
643if test $ac_prog_rejected = yes; then
644  # We found a bogon in the path, so make sure we never use it.
645  set dummy $ac_cv_prog_CC
646  shift
647  if test $# -gt 0; then
648    # We chose a different compiler from the bogus one.
649    # However, it has the same basename, so the bogon will be chosen
650    # first if we set CC to just the basename; use the full file name.
651    shift
652    set dummy "$ac_dir/$ac_word" "$@"
653    shift
654    ac_cv_prog_CC="$@"
655  fi
656fi
657fi
658fi
659CC="$ac_cv_prog_CC"
660if test -n "$CC"; then
661  echo "$ac_t""$CC" 1>&6
662else
663  echo "$ac_t""no" 1>&6
664fi
665
666  if test -z "$CC"; then
667    case "`uname -s`" in
668    *win32* | *WIN32*)
669      # Extract the first word of "cl", so it can be a program name with args.
670set dummy cl; ac_word=$2
671echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
672echo "configure:673: checking for $ac_word" >&5
673if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
674  echo $ac_n "(cached) $ac_c" 1>&6
675else
676  if test -n "$CC"; then
677  ac_cv_prog_CC="$CC" # Let the user override the test.
678else
679  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
680  ac_dummy="$PATH"
681  for ac_dir in $ac_dummy; do
682    test -z "$ac_dir" && ac_dir=.
683    if test -f $ac_dir/$ac_word; then
684      ac_cv_prog_CC="cl"
685      break
686    fi
687  done
688  IFS="$ac_save_ifs"
689fi
690fi
691CC="$ac_cv_prog_CC"
692if test -n "$CC"; then
693  echo "$ac_t""$CC" 1>&6
694else
695  echo "$ac_t""no" 1>&6
696fi
697 ;;
698    esac
699  fi
700  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
701fi
702
703echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
704echo "configure:705: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
705
706ac_ext=c
707# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
708ac_cpp='$CPP $CPPFLAGS'
709ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
710ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
711cross_compiling=$ac_cv_prog_cc_cross
712
713cat > conftest.$ac_ext << EOF
714
715#line 716 "configure"
716#include "confdefs.h"
717
718main(){return(0);}
719EOF
720if { (eval echo configure:721: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
721  ac_cv_prog_cc_works=yes
722  # If we can't run a trivial program, we are probably using a cross compiler.
723  if (./conftest; exit) 2>/dev/null; then
724    ac_cv_prog_cc_cross=no
725  else
726    ac_cv_prog_cc_cross=yes
727  fi
728else
729  echo "configure: failed program was:" >&5
730  cat conftest.$ac_ext >&5
731  ac_cv_prog_cc_works=no
732fi
733rm -fr conftest*
734ac_ext=c
735# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
736ac_cpp='$CPP $CPPFLAGS'
737ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
738ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
739cross_compiling=$ac_cv_prog_cc_cross
740
741echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
742if test $ac_cv_prog_cc_works = no; then
743  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
744fi
745echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
746echo "configure:747: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
747echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
748cross_compiling=$ac_cv_prog_cc_cross
749
750echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
751echo "configure:752: checking whether we are using GNU C" >&5
752if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
753  echo $ac_n "(cached) $ac_c" 1>&6
754else
755  cat > conftest.c <<EOF
756#ifdef __GNUC__
757  yes;
758#endif
759EOF
760if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:761: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
761  ac_cv_prog_gcc=yes
762else
763  ac_cv_prog_gcc=no
764fi
765fi
766
767echo "$ac_t""$ac_cv_prog_gcc" 1>&6
768
769if test $ac_cv_prog_gcc = yes; then
770  GCC=yes
771else
772  GCC=
773fi
774
775ac_test_CFLAGS="${CFLAGS+set}"
776ac_save_CFLAGS="$CFLAGS"
777CFLAGS=
778echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
779echo "configure:780: checking whether ${CC-cc} accepts -g" >&5
780if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
781  echo $ac_n "(cached) $ac_c" 1>&6
782else
783  echo 'void f(){}' > conftest.c
784if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
785  ac_cv_prog_cc_g=yes
786else
787  ac_cv_prog_cc_g=no
788fi
789rm -f conftest*
790
791fi
792
793echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
794if test "$ac_test_CFLAGS" = set; then
795  CFLAGS="$ac_save_CFLAGS"
796elif test $ac_cv_prog_cc_g = yes; then
797  if test "$GCC" = yes; then
798    CFLAGS="-g -O2"
799  else
800    CFLAGS="-g"
801  fi
802else
803  if test "$GCC" = yes; then
804    CFLAGS="-O2"
805  else
806    CFLAGS=
807  fi
808fi
809
810    fi
811    cc="$CC"
812    
813     if test -z ""$cc""; then
814        echo
815        echo FATAL ERROR: cc does not seem to be installed.
816        echo acl cannot be built without a working C compiler installation.
817        exit 1
818    fi
819  
820
821    if test -z "$MAKE"; then
822        # Extract the first word of "make", so it can be a program name with args.
823set dummy make; ac_word=$2
824echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
825echo "configure:826: checking for $ac_word" >&5
826if eval "test \"`echo '$''{'ac_cv_path_MAKE'+set}'`\" = set"; then
827  echo $ac_n "(cached) $ac_c" 1>&6
828else
829  case "$MAKE" in
830  /*)
831  ac_cv_path_MAKE="$MAKE" # Let the user override the test with a path.
832  ;;
833  ?:/*)			 
834  ac_cv_path_MAKE="$MAKE" # Let the user override the test with a dos path.
835  ;;
836  *)
837  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
838  ac_dummy="$PATH"
839  for ac_dir in $ac_dummy; do 
840    test -z "$ac_dir" && ac_dir=.
841    if test -f $ac_dir/$ac_word; then
842      ac_cv_path_MAKE="$ac_dir/$ac_word"
843      break
844    fi
845  done
846  IFS="$ac_save_ifs"
847  test -z "$ac_cv_path_MAKE" && ac_cv_path_MAKE="/usr/bin/make"
848  ;;
849esac
850fi
851MAKE="$ac_cv_path_MAKE"
852if test -n "$MAKE"; then
853  echo "$ac_t""$MAKE" 1>&6
854else
855  echo "$ac_t""no" 1>&6
856fi
857
858    fi
859    make=$MAKE
860    
861     if test -z ""$make""; then
862        echo
863        echo FATAL ERROR: make does not seem to be installed.
864        echo acl cannot be built without a working GNU make installation.
865        exit 1
866    fi
867  
868
869    if test -z "$LIBTOOL"; then
870	# Extract the first word of "libtool", so it can be a program name with args.
871set dummy libtool; ac_word=$2
872echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
873echo "configure:874: checking for $ac_word" >&5
874if eval "test \"`echo '$''{'ac_cv_path_LIBTOOL'+set}'`\" = set"; then
875  echo $ac_n "(cached) $ac_c" 1>&6
876else
877  case "$LIBTOOL" in
878  /*)
879  ac_cv_path_LIBTOOL="$LIBTOOL" # Let the user override the test with a path.
880  ;;
881  ?:/*)			 
882  ac_cv_path_LIBTOOL="$LIBTOOL" # Let the user override the test with a dos path.
883  ;;
884  *)
885  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
886  ac_dummy="/usr/bin:/usr/local/bin"
887  for ac_dir in $ac_dummy; do 
888    test -z "$ac_dir" && ac_dir=.
889    if test -f $ac_dir/$ac_word; then
890      ac_cv_path_LIBTOOL="$ac_dir/$ac_word"
891      break
892    fi
893  done
894  IFS="$ac_save_ifs"
895  ;;
896esac
897fi
898LIBTOOL="$ac_cv_path_LIBTOOL"
899if test -n "$LIBTOOL"; then
900  echo "$ac_t""$LIBTOOL" 1>&6
901else
902  echo "$ac_t""no" 1>&6
903fi
904
905    fi
906    libtool=$LIBTOOL
907    
908     if test -z ""$libtool""; then
909        echo
910        echo FATAL ERROR: libtool does not seem to be installed.
911        echo acl cannot be built without a working GNU libtool installation.
912        exit 1
913    fi
914  
915
916    if test -z "$TAR"; then
917        # Extract the first word of "tar", so it can be a program name with args.
918set dummy tar; ac_word=$2
919echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
920echo "configure:921: checking for $ac_word" >&5
921if eval "test \"`echo '$''{'ac_cv_path_TAR'+set}'`\" = set"; then
922  echo $ac_n "(cached) $ac_c" 1>&6
923else
924  case "$TAR" in
925  /*)
926  ac_cv_path_TAR="$TAR" # Let the user override the test with a path.
927  ;;
928  ?:/*)			 
929  ac_cv_path_TAR="$TAR" # Let the user override the test with a dos path.
930  ;;
931  *)
932  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
933  ac_dummy="$PATH"
934  for ac_dir in $ac_dummy; do 
935    test -z "$ac_dir" && ac_dir=.
936    if test -f $ac_dir/$ac_word; then
937      ac_cv_path_TAR="$ac_dir/$ac_word"
938      break
939    fi
940  done
941  IFS="$ac_save_ifs"
942  ;;
943esac
944fi
945TAR="$ac_cv_path_TAR"
946if test -n "$TAR"; then
947  echo "$ac_t""$TAR" 1>&6
948else
949  echo "$ac_t""no" 1>&6
950fi
951
952    fi
953    tar=$TAR
954    
955    if test -z "$ZIP"; then
956        # Extract the first word of "gzip", so it can be a program name with args.
957set dummy gzip; ac_word=$2
958echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
959echo "configure:960: checking for $ac_word" >&5
960if eval "test \"`echo '$''{'ac_cv_path_ZIP'+set}'`\" = set"; then
961  echo $ac_n "(cached) $ac_c" 1>&6
962else
963  case "$ZIP" in
964  /*)
965  ac_cv_path_ZIP="$ZIP" # Let the user override the test with a path.
966  ;;
967  ?:/*)			 
968  ac_cv_path_ZIP="$ZIP" # Let the user override the test with a dos path.
969  ;;
970  *)
971  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
972  ac_dummy="$PATH"
973  for ac_dir in $ac_dummy; do 
974    test -z "$ac_dir" && ac_dir=.
975    if test -f $ac_dir/$ac_word; then
976      ac_cv_path_ZIP="$ac_dir/$ac_word"
977      break
978    fi
979  done
980  IFS="$ac_save_ifs"
981  test -z "$ac_cv_path_ZIP" && ac_cv_path_ZIP="/bin/gzip"
982  ;;
983esac
984fi
985ZIP="$ac_cv_path_ZIP"
986if test -n "$ZIP"; then
987  echo "$ac_t""$ZIP" 1>&6
988else
989  echo "$ac_t""no" 1>&6
990fi
991
992    fi
993    zip=$ZIP
994    
995    if test -z "$MAKEDEPEND"; then
996        # Extract the first word of "makedepend", so it can be a program name with args.
997set dummy makedepend; ac_word=$2
998echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
999echo "configure:1000: checking for $ac_word" >&5
1000if eval "test \"`echo '$''{'ac_cv_path_MAKEDEPEND'+set}'`\" = set"; then
1001  echo $ac_n "(cached) $ac_c" 1>&6
1002else
1003  case "$MAKEDEPEND" in
1004  /*)
1005  ac_cv_path_MAKEDEPEND="$MAKEDEPEND" # Let the user override the test with a path.
1006  ;;
1007  ?:/*)			 
1008  ac_cv_path_MAKEDEPEND="$MAKEDEPEND" # Let the user override the test with a dos path.
1009  ;;
1010  *)
1011  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1012  ac_dummy="$PATH"
1013  for ac_dir in $ac_dummy; do 
1014    test -z "$ac_dir" && ac_dir=.
1015    if test -f $ac_dir/$ac_word; then
1016      ac_cv_path_MAKEDEPEND="$ac_dir/$ac_word"
1017      break
1018    fi
1019  done
1020  IFS="$ac_save_ifs"
1021  test -z "$ac_cv_path_MAKEDEPEND" && ac_cv_path_MAKEDEPEND="/bin/true"
1022  ;;
1023esac
1024fi
1025MAKEDEPEND="$ac_cv_path_MAKEDEPEND"
1026if test -n "$MAKEDEPEND"; then
1027  echo "$ac_t""$MAKEDEPEND" 1>&6
1028else
1029  echo "$ac_t""no" 1>&6
1030fi
1031
1032    fi
1033    makedepend=$MAKEDEPEND
1034    
1035    if test -z "$AWK"; then
1036        # Extract the first word of "awk", so it can be a program name with args.
1037set dummy awk; ac_word=$2
1038echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1039echo "configure:1040: checking for $ac_word" >&5
1040if eval "test \"`echo '$''{'ac_cv_path_AWK'+set}'`\" = set"; then
1041  echo $ac_n "(cached) $ac_c" 1>&6
1042else
1043  case "$AWK" in
1044  /*)
1045  ac_cv_path_AWK="$AWK" # Let the user override the test with a path.
1046  ;;
1047  ?:/*)			 
1048  ac_cv_path_AWK="$AWK" # Let the user override the test with a dos path.
1049  ;;
1050  *)
1051  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1052  ac_dummy="$PATH"
1053  for ac_dir in $ac_dummy; do 
1054    test -z "$ac_dir" && ac_dir=.
1055    if test -f $ac_dir/$ac_word; then
1056      ac_cv_path_AWK="$ac_dir/$ac_word"
1057      break
1058    fi
1059  done
1060  IFS="$ac_save_ifs"
1061  test -z "$ac_cv_path_AWK" && ac_cv_path_AWK="/bin/awk"
1062  ;;
1063esac
1064fi
1065AWK="$ac_cv_path_AWK"
1066if test -n "$AWK"; then
1067  echo "$ac_t""$AWK" 1>&6
1068else
1069  echo "$ac_t""no" 1>&6
1070fi
1071
1072    fi
1073    awk=$AWK
1074    
1075    if test -z "$SED"; then
1076        # Extract the first word of "sed", so it can be a program name with args.
1077set dummy sed; ac_word=$2
1078echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1079echo "configure:1080: checking for $ac_word" >&5
1080if eval "test \"`echo '$''{'ac_cv_path_SED'+set}'`\" = set"; then
1081  echo $ac_n "(cached) $ac_c" 1>&6
1082else
1083  case "$SED" in
1084  /*)
1085  ac_cv_path_SED="$SED" # Let the user override the test with a path.
1086  ;;
1087  ?:/*)			 
1088  ac_cv_path_SED="$SED" # Let the user override the test with a dos path.
1089  ;;
1090  *)
1091  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1092  ac_dummy="$PATH"
1093  for ac_dir in $ac_dummy; do 
1094    test -z "$ac_dir" && ac_dir=.
1095    if test -f $ac_dir/$ac_word; then
1096      ac_cv_path_SED="$ac_dir/$ac_word"
1097      break
1098    fi
1099  done
1100  IFS="$ac_save_ifs"
1101  test -z "$ac_cv_path_SED" && ac_cv_path_SED="/bin/sed"
1102  ;;
1103esac
1104fi
1105SED="$ac_cv_path_SED"
1106if test -n "$SED"; then
1107  echo "$ac_t""$SED" 1>&6
1108else
1109  echo "$ac_t""no" 1>&6
1110fi
1111
1112    fi
1113    sed=$SED
1114    
1115    if test -z "$ECHO"; then
1116        # Extract the first word of "echo", so it can be a program name with args.
1117set dummy echo; ac_word=$2
1118echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1119echo "configure:1120: checking for $ac_word" >&5
1120if eval "test \"`echo '$''{'ac_cv_path_ECHO'+set}'`\" = set"; then
1121  echo $ac_n "(cached) $ac_c" 1>&6
1122else
1123  case "$ECHO" in
1124  /*)
1125  ac_cv_path_ECHO="$ECHO" # Let the user override the test with a path.
1126  ;;
1127  ?:/*)			 
1128  ac_cv_path_ECHO="$ECHO" # Let the user override the test with a dos path.
1129  ;;
1130  *)
1131  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1132  ac_dummy="$PATH"
1133  for ac_dir in $ac_dummy; do 
1134    test -z "$ac_dir" && ac_dir=.
1135    if test -f $ac_dir/$ac_word; then
1136      ac_cv_path_ECHO="$ac_dir/$ac_word"
1137      break
1138    fi
1139  done
1140  IFS="$ac_save_ifs"
1141  test -z "$ac_cv_path_ECHO" && ac_cv_path_ECHO="/bin/echo"
1142  ;;
1143esac
1144fi
1145ECHO="$ac_cv_path_ECHO"
1146if test -n "$ECHO"; then
1147  echo "$ac_t""$ECHO" 1>&6
1148else
1149  echo "$ac_t""no" 1>&6
1150fi
1151
1152    fi
1153    echo=$ECHO
1154    
1155    if test -z "$SORT"; then
1156        # Extract the first word of "sort", so it can be a program name with args.
1157set dummy sort; ac_word=$2
1158echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1159echo "configure:1160: checking for $ac_word" >&5
1160if eval "test \"`echo '$''{'ac_cv_path_SORT'+set}'`\" = set"; then
1161  echo $ac_n "(cached) $ac_c" 1>&6
1162else
1163  case "$SORT" in
1164  /*)
1165  ac_cv_path_SORT="$SORT" # Let the user override the test with a path.
1166  ;;
1167  ?:/*)			 
1168  ac_cv_path_SORT="$SORT" # Let the user override the test with a dos path.
1169  ;;
1170  *)
1171  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1172  ac_dummy="$PATH"
1173  for ac_dir in $ac_dummy; do 
1174    test -z "$ac_dir" && ac_dir=.
1175    if test -f $ac_dir/$ac_word; then
1176      ac_cv_path_SORT="$ac_dir/$ac_word"
1177      break
1178    fi
1179  done
1180  IFS="$ac_save_ifs"
1181  test -z "$ac_cv_path_SORT" && ac_cv_path_SORT="/bin/sort"
1182  ;;
1183esac
1184fi
1185SORT="$ac_cv_path_SORT"
1186if test -n "$SORT"; then
1187  echo "$ac_t""$SORT" 1>&6
1188else
1189  echo "$ac_t""no" 1>&6
1190fi
1191
1192    fi
1193    sort=$SORT
1194    
1195
1196        echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
1197echo "configure:1198: checking whether ln -s works" >&5
1198if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
1199  echo $ac_n "(cached) $ac_c" 1>&6
1200else
1201  rm -f conftestdata
1202if ln -s X conftestdata 2>/dev/null
1203then
1204  rm -f conftestdata
1205  ac_cv_prog_LN_S="ln -s"
1206else
1207  ac_cv_prog_LN_S=ln
1208fi
1209fi
1210LN_S="$ac_cv_prog_LN_S"
1211if test "$ac_cv_prog_LN_S" = "ln -s"; then
1212  echo "$ac_t""yes" 1>&6
1213else
1214  echo "$ac_t""no" 1>&6
1215fi
1216
1217
1218    if test "$enable_gettext" = yes; then
1219        if test -z "$MSGFMT"; then
1220                # Extract the first word of "msgfmt", so it can be a program name with args.
1221set dummy msgfmt; ac_word=$2
1222echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1223echo "configure:1224: checking for $ac_word" >&5
1224if eval "test \"`echo '$''{'ac_cv_prog_MSGFMT'+set}'`\" = set"; then
1225  echo $ac_n "(cached) $ac_c" 1>&6
1226else
1227  if test -n "$MSGFMT"; then
1228  ac_cv_prog_MSGFMT="$MSGFMT" # Let the user override the test.
1229else
1230  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1231  ac_dummy="$PATH"
1232  for ac_dir in $ac_dummy; do
1233    test -z "$ac_dir" && ac_dir=.
1234    if test -f $ac_dir/$ac_word; then
1235      ac_cv_prog_MSGFMT="/usr/bin/msgfmt"
1236      break
1237    fi
1238  done
1239  IFS="$ac_save_ifs"
1240fi
1241fi
1242MSGFMT="$ac_cv_prog_MSGFMT"
1243if test -n "$MSGFMT"; then
1244  echo "$ac_t""$MSGFMT" 1>&6
1245else
1246  echo "$ac_t""no" 1>&6
1247fi
1248
1249        fi
1250        msgfmt=$MSGFMT
1251        
1252         if test -z ""$msgfmt""; then
1253        echo
1254        echo FATAL ERROR: msgfmt does not seem to be installed.
1255        echo acl cannot be built without a working gettext installation.
1256        exit 1
1257    fi
1258  
1259        if test -z "$MSGMERGE"; then
1260                # Extract the first word of "msgmerge", so it can be a program name with args.
1261set dummy msgmerge; ac_word=$2
1262echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1263echo "configure:1264: checking for $ac_word" >&5
1264if eval "test \"`echo '$''{'ac_cv_prog_MSGMERGE'+set}'`\" = set"; then
1265  echo $ac_n "(cached) $ac_c" 1>&6
1266else
1267  if test -n "$MSGMERGE"; then
1268  ac_cv_prog_MSGMERGE="$MSGMERGE" # Let the user override the test.
1269else
1270  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1271  ac_dummy="$PATH"
1272  for ac_dir in $ac_dummy; do
1273    test -z "$ac_dir" && ac_dir=.
1274    if test -f $ac_dir/$ac_word; then
1275      ac_cv_prog_MSGMERGE="/usr/bin/msgmerge"
1276      break
1277    fi
1278  done
1279  IFS="$ac_save_ifs"
1280fi
1281fi
1282MSGMERGE="$ac_cv_prog_MSGMERGE"
1283if test -n "$MSGMERGE"; then
1284  echo "$ac_t""$MSGMERGE" 1>&6
1285else
1286  echo "$ac_t""no" 1>&6
1287fi
1288
1289        fi
1290        msgmerge=$MSGMERGE
1291        
1292         if test -z ""$msgmerge""; then
1293        echo
1294        echo FATAL ERROR: msgmerge does not seem to be installed.
1295        echo acl cannot be built without a working gettext installation.
1296        exit 1
1297    fi
1298  
1299    fi
1300
1301    if test -z "$RPM"; then
1302        # Extract the first word of "rpm", so it can be a program name with args.
1303set dummy rpm; ac_word=$2
1304echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1305echo "configure:1306: checking for $ac_word" >&5
1306if eval "test \"`echo '$''{'ac_cv_path_RPM'+set}'`\" = set"; then
1307  echo $ac_n "(cached) $ac_c" 1>&6
1308else
1309  case "$RPM" in
1310  /*)
1311  ac_cv_path_RPM="$RPM" # Let the user override the test with a path.
1312  ;;
1313  ?:/*)			 
1314  ac_cv_path_RPM="$RPM" # Let the user override the test with a dos path.
1315  ;;
1316  *)
1317  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1318  ac_dummy="$PATH"
1319  for ac_dir in $ac_dummy; do 
1320    test -z "$ac_dir" && ac_dir=.
1321    if test -f $ac_dir/$ac_word; then
1322      ac_cv_path_RPM="$ac_dir/$ac_word"
1323      break
1324    fi
1325  done
1326  IFS="$ac_save_ifs"
1327  test -z "$ac_cv_path_RPM" && ac_cv_path_RPM="/bin/rpm"
1328  ;;
1329esac
1330fi
1331RPM="$ac_cv_path_RPM"
1332if test -n "$RPM"; then
1333  echo "$ac_t""$RPM" 1>&6
1334else
1335  echo "$ac_t""no" 1>&6
1336fi
1337
1338    fi
1339    rpm=$RPM
1340    
1341        rpm_version=0
1342    test -x $RPM && rpm_version=`$RPM --version \
1343                        | awk '{print $NF}' | awk -F. '{V=1; print $V}'`
1344    
1345                if test $rpm_version -ge 4; then
1346        # Extract the first word of "rpmbuild", so it can be a program name with args.
1347set dummy rpmbuild; ac_word=$2
1348echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1349echo "configure:1350: checking for $ac_word" >&5
1350if eval "test \"`echo '$''{'ac_cv_path_RPMBUILD'+set}'`\" = set"; then
1351  echo $ac_n "(cached) $ac_c" 1>&6
1352else
1353  case "$RPMBUILD" in
1354  /*)
1355  ac_cv_path_RPMBUILD="$RPMBUILD" # Let the user override the test with a path.
1356  ;;
1357  ?:/*)			 
1358  ac_cv_path_RPMBUILD="$RPMBUILD" # Let the user override the test with a dos path.
1359  ;;
1360  *)
1361  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1362  ac_dummy="$PATH"
1363  for ac_dir in $ac_dummy; do 
1364    test -z "$ac_dir" && ac_dir=.
1365    if test -f $ac_dir/$ac_word; then
1366      ac_cv_path_RPMBUILD="$ac_dir/$ac_word"
1367      break
1368    fi
1369  done
1370  IFS="$ac_save_ifs"
1371  ;;
1372esac
1373fi
1374RPMBUILD="$ac_cv_path_RPMBUILD"
1375if test -n "$RPMBUILD"; then
1376  echo "$ac_t""$RPMBUILD" 1>&6
1377else
1378  echo "$ac_t""no" 1>&6
1379fi
1380
1381        rpmbuild=$RPMBUILD
1382    else
1383        rpmbuild=$RPM
1384    fi
1385    
1386  
1387echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1388echo "configure:1389: checking how to run the C preprocessor" >&5
1389# On Suns, sometimes $CPP names a directory.
1390if test -n "$CPP" && test -d "$CPP"; then
1391  CPP=
1392fi
1393if test -z "$CPP"; then
1394if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1395  echo $ac_n "(cached) $ac_c" 1>&6
1396else
1397    # This must be in double quotes, not single quotes, because CPP may get
1398  # substituted into the Makefile and "${CC-cc}" will confuse make.
1399  CPP="${CC-cc} -E"
1400  # On the NeXT, cc -E runs the code through the compiler's parser,
1401  # not just through cpp.
1402  cat > conftest.$ac_ext <<EOF
1403#line 1404 "configure"
1404#include "confdefs.h"
1405#include <assert.h>
1406Syntax Error
1407EOF
1408ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1409{ (eval echo configure:1410: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1410ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1411if test -z "$ac_err"; then
1412  :
1413else
1414  echo "$ac_err" >&5
1415  echo "configure: failed program was:" >&5
1416  cat conftest.$ac_ext >&5
1417  rm -rf conftest*
1418  CPP="${CC-cc} -E -traditional-cpp"
1419  cat > conftest.$ac_ext <<EOF
1420#line 1421 "configure"
1421#include "confdefs.h"
1422#include <assert.h>
1423Syntax Error
1424EOF
1425ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1426{ (eval echo configure:1427: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1427ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1428if test -z "$ac_err"; then
1429  :
1430else
1431  echo "$ac_err" >&5
1432  echo "configure: failed program was:" >&5
1433  cat conftest.$ac_ext >&5
1434  rm -rf conftest*
1435  CPP="${CC-cc} -nologo -E"
1436  cat > conftest.$ac_ext <<EOF
1437#line 1438 "configure"
1438#include "confdefs.h"
1439#include <assert.h>
1440Syntax Error
1441EOF
1442ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1443{ (eval echo configure:1444: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1444ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1445if test -z "$ac_err"; then
1446  :
1447else
1448  echo "$ac_err" >&5
1449  echo "configure: failed program was:" >&5
1450  cat conftest.$ac_ext >&5
1451  rm -rf conftest*
1452  CPP=/lib/cpp
1453fi
1454rm -f conftest*
1455fi
1456rm -f conftest*
1457fi
1458rm -f conftest*
1459  ac_cv_prog_CPP="$CPP"
1460fi
1461  CPP="$ac_cv_prog_CPP"
1462else
1463  ac_cv_prog_CPP="$CPP"
1464fi
1465echo "$ac_t""$CPP" 1>&6
1466
1467 for ac_hdr in attr/xattr.h
1468do
1469ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1470echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1471echo "configure:1472: checking for $ac_hdr" >&5
1472if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1473  echo $ac_n "(cached) $ac_c" 1>&6
1474else
1475  cat > conftest.$ac_ext <<EOF
1476#line 1477 "configure"
1477#include "confdefs.h"
1478#include <$ac_hdr>
1479EOF
1480ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1481{ (eval echo configure:1482: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1482ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1483if test -z "$ac_err"; then
1484  rm -rf conftest*
1485  eval "ac_cv_header_$ac_safe=yes"
1486else
1487  echo "$ac_err" >&5
1488  echo "configure: failed program was:" >&5
1489  cat conftest.$ac_ext >&5
1490  rm -rf conftest*
1491  eval "ac_cv_header_$ac_safe=no"
1492fi
1493rm -f conftest*
1494fi
1495if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1496  echo "$ac_t""yes" 1>&6
1497    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1498  cat >> confdefs.h <<EOF
1499#define $ac_tr_hdr 1
1500EOF
1501 
1502else
1503  echo "$ac_t""no" 1>&6
1504fi
1505done
1506
1507#    if test "$ac_cv_header_attr_xattr_h" != "yes"; then
1508#        echo
1509#        echo 'FATAL ERROR: attr/xattr.h does not exist.'
1510#        echo 'Install the extended attributes (attr) development package.'
1511#        echo 'Alternatively, run "make install-lib" from the attr source.'
1512#        exit 1
1513#    fi
1514  
1515 for ac_hdr in attr/error_context.h
1516do
1517ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1518echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1519echo "configure:1520: checking for $ac_hdr" >&5
1520if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1521  echo $ac_n "(cached) $ac_c" 1>&6
1522else
1523  cat > conftest.$ac_ext <<EOF
1524#line 1525 "configure"
1525#include "confdefs.h"
1526#include <$ac_hdr>
1527EOF
1528ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1529{ (eval echo configure:1530: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1530ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1531if test -z "$ac_err"; then
1532  rm -rf conftest*
1533  eval "ac_cv_header_$ac_safe=yes"
1534else
1535  echo "$ac_err" >&5
1536  echo "configure: failed program was:" >&5
1537  cat conftest.$ac_ext >&5
1538  rm -rf conftest*
1539  eval "ac_cv_header_$ac_safe=no"
1540fi
1541rm -f conftest*
1542fi
1543if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1544  echo "$ac_t""yes" 1>&6
1545    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1546  cat >> confdefs.h <<EOF
1547#define $ac_tr_hdr 1
1548EOF
1549 
1550else
1551  echo "$ac_t""no" 1>&6
1552fi
1553done
1554
1555#    if test "$ac_cv_header_attr_error_context_h" != "yes"; then
1556#        echo
1557#        echo 'FATAL ERROR: attr/error_context.h does not exist.'
1558#        echo 'Install the extended attributes (attr) development package.'
1559#        echo 'Alternatively, run "make install-lib" from the attr source.'
1560#        exit 1
1561#    fi
1562  
1563 echo $ac_n "checking for getxattr in -lattr""... $ac_c" 1>&6
1564echo "configure:1565: checking for getxattr in -lattr" >&5
1565ac_lib_var=`echo attr'_'getxattr | sed 'y%./+-%__p_%'`
1566if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1567  echo $ac_n "(cached) $ac_c" 1>&6
1568else
1569  ac_save_LIBS="$LIBS"
1570LIBS="-lattr  $LIBS"
1571cat > conftest.$ac_ext <<EOF
1572#line 1573 "configure"
1573#include "confdefs.h"
1574/* Override any gcc2 internal prototype to avoid an error.  */
1575/* We use char because int might match the return type of a gcc2
1576    builtin and then its argument prototype would still apply.  */
1577char getxattr();
1578
1579int main() {
1580getxattr()
1581; return 0; }
1582EOF
1583if { (eval echo configure:1584: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1584  rm -rf conftest*
1585  eval "ac_cv_lib_$ac_lib_var=yes"
1586else
1587  echo "configure: failed program was:" >&5
1588  cat conftest.$ac_ext >&5
1589  rm -rf conftest*
1590  eval "ac_cv_lib_$ac_lib_var=no"
1591fi
1592rm -f conftest*
1593LIBS="$ac_save_LIBS"
1594
1595fi
1596if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1597  echo "$ac_t""yes" 1>&6
1598    ac_tr_lib=HAVE_LIB`echo attr | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1599    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1600  cat >> confdefs.h <<EOF
1601#define $ac_tr_lib 1
1602EOF
1603
1604  LIBS="-lattr $LIBS"
1605
1606#else
1607#  echo "$ac_t""no" 1>&6
1608#
1609#        echo
1610#        echo 'FATAL ERROR: could not find a valid Extended Attributes library.'
1611#        echo 'Install the extended attributes (attr) development package.'
1612#        echo 'Alternatively, run "make install-lib" from the attr source.'
1613#        exit 1
1614    
1615fi
1616
1617    libattr="-lattr"
1618    test -f `pwd`/../attr/libattr/libattr.la && \
1619        libattr="`pwd`/../attr/libattr/libattr.la"
1620    test -f /usr/lib/libattr.la && libattr="/usr/lib/libattr.la"
1621    
1622  
1623 have_zipped_manpages=false
1624    for d in ${prefix}/share/man ${prefix}/man ; do
1625        if test -f $d/man1/man.1.gz
1626        then
1627            have_zipped_manpages=true
1628            break
1629        fi
1630    done
1631    
1632  
1633
1634echo $ac_n "checking whether __attribute__((visibility())) is supported""... $ac_c" 1>&6
1635echo "configure:1636: checking whether __attribute__((visibility())) is supported" >&5
1636if eval "test \"`echo '$''{'libc_cv_visibility_attribute'+set}'`\" = set"; then
1637  echo $ac_n "(cached) $ac_c" 1>&6
1638else
1639  cat > conftest.c <<EOF
1640		   int foo __attribute__ ((visibility ("hidden"))) = 1;
1641		   int bar __attribute__ ((visibility ("protected"))) = 1;
1642EOF
1643		  libc_cv_visibility_attribute=no
1644		  if ${CC-cc} -Werror -S conftest.c -o conftest.s \
1645			>/dev/null 2>&1; then
1646		    if grep '\.hidden.*foo' conftest.s >/dev/null; then
1647		      if grep '\.protected.*bar' conftest.s >/dev/null; then
1648			libc_cv_visibility_attribute=yes
1649		      fi
1650		    fi
1651		  fi
1652		  rm -f conftest.cs
1653		  
1654fi
1655
1656echo "$ac_t""$libc_cv_visibility_attribute" 1>&6
1657   if test $libc_cv_visibility_attribute = yes; then
1658     cat >> confdefs.h <<\EOF
1659#define HAVE_VISIBILITY_ATTRIBUTE 1
1660EOF
1661
1662   fi
1663  
1664
1665trap '' 1 2 15
1666cat > confcache <<\EOF
1667# This file is a shell script that caches the results of configure
1668# tests run on this system so they can be shared between configure
1669# scripts and configure runs.  It is not useful on other systems.
1670# If it contains results you don't want to keep, you may remove or edit it.
1671#
1672# By default, configure uses ./config.cache as the cache file,
1673# creating it if it does not exist already.  You can give configure
1674# the --cache-file=FILE option to use a different cache file; that is
1675# what configure does when it calls configure scripts in
1676# subdirectories, so they share the cache.
1677# Giving --cache-file=/dev/null disables caching, for debugging configure.
1678# config.status only pays attention to the cache file if you give it the
1679# --recheck option to rerun configure.
1680#
1681EOF
1682# The following way of writing the cache mishandles newlines in values,
1683# but we know of no workaround that is simple, portable, and efficient.
1684# So, don't put newlines in cache variables' values.
1685# Ultrix sh set writes to stderr and can't be redirected directly,
1686# and sets the high bit in the cache file unless we assign to the vars.
1687(set) 2>&1 |
1688  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1689  *ac_space=\ *)
1690    # `set' does not quote correctly, so add quotes (double-quote substitution
1691    # turns \\\\ into \\, and sed turns \\ into \).
1692    sed -n \
1693      -e "s/'/'\\\\''/g" \
1694      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1695    ;;
1696  *)
1697    # `set' quotes correctly as required by POSIX, so do not add quotes.
1698    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1699    ;;
1700  esac >> confcache
1701if cmp -s $cache_file confcache; then
1702  :
1703else
1704  if test -w $cache_file; then
1705    echo "updating cache $cache_file"
1706    cat confcache > $cache_file
1707  else
1708    echo "not updating unwritable cache $cache_file"
1709  fi
1710fi
1711rm -f confcache
1712
1713trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1714
1715test "x$prefix" = xNONE && prefix=$ac_default_prefix
1716# Let make expand exec_prefix.
1717test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1718
1719# Any assignment to VPATH causes Sun make to only execute
1720# the first set of double-colon rules, so remove it if not needed.
1721# If there is a colon in the path, we need to keep it.
1722if test "x$srcdir" = x.; then
1723  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1724fi
1725
1726trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1727
1728DEFS=-DHAVE_CONFIG_H
1729
1730# Without the "./", some shells look in PATH for config.status.
1731: ${CONFIG_STATUS=./config.status}
1732
1733echo creating $CONFIG_STATUS
1734rm -f $CONFIG_STATUS
1735cat > $CONFIG_STATUS <<EOF
1736#! /bin/sh
1737# Generated automatically by configure.
1738# Run this file to recreate the current configuration.
1739# This directory was configured as follows,
1740# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1741#
1742# $0 $ac_configure_args
1743#
1744# Compiler output produced by configure, useful for debugging
1745# configure, is in ./config.log if it exists.
1746
1747ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1748for ac_option
1749do
1750  case "\$ac_option" in
1751  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1752    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1753    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1754  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1755    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1756    exit 0 ;;
1757  -help | --help | --hel | --he | --h)
1758    echo "\$ac_cs_usage"; exit 0 ;;
1759  *) echo "\$ac_cs_usage"; exit 1 ;;
1760  esac
1761done
1762
1763ac_given_srcdir=$srcdir
1764
1765trap 'rm -fr `echo "include/builddefs include/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1766EOF
1767cat >> $CONFIG_STATUS <<EOF
1768
1769# Protect against being on the right side of a sed subst in config.status.
1770sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1771 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1772$ac_vpsub
1773$extrasub
1774s%@SHELL@%$SHELL%g
1775s%@CFLAGS@%$CFLAGS%g
1776s%@CPPFLAGS@%$CPPFLAGS%g
1777s%@CXXFLAGS@%$CXXFLAGS%g
1778s%@FFLAGS@%$FFLAGS%g
1779s%@DEFS@%$DEFS%g
1780s%@LDFLAGS@%$LDFLAGS%g
1781s%@LIBS@%$LIBS%g
1782s%@exec_prefix@%$exec_prefix%g
1783s%@prefix@%$prefix%g
1784s%@program_transform_name@%$program_transform_name%g
1785s%@bindir@%$bindir%g
1786s%@sbindir@%$sbindir%g
1787s%@libexecdir@%$libexecdir%g
1788s%@datadir@%$datadir%g
1789s%@sysconfdir@%$sysconfdir%g
1790s%@sharedstatedir@%$sharedstatedir%g
1791s%@localstatedir@%$localstatedir%g
1792s%@libdir@%$libdir%g
1793s%@includedir@%$includedir%g
1794s%@oldincludedir@%$oldincludedir%g
1795s%@infodir@%$infodir%g
1796s%@mandir@%$mandir%g
1797s%@enable_shared@%$enable_shared%g
1798s%@enable_gettext@%$enable_gettext%g
1799s%@pkg_name@%$pkg_name%g
1800s%@pkg_version@%$pkg_version%g
1801s%@pkg_release@%$pkg_release%g
1802s%@debug_build@%$debug_build%g
1803s%@opt_build@%$opt_build%g
1804s%@malloc_lib@%$malloc_lib%g
1805s%@pkg_user@%$pkg_user%g
1806s%@pkg_group@%$pkg_group%g
1807s%@pkg_distribution@%$pkg_distribution%g
1808s%@pkg_platform@%$pkg_platform%g
1809s%@CC@%$CC%g
1810s%@cc@%$cc%g
1811s%@MAKE@%$MAKE%g
1812s%@make@%$make%g
1813s%@LIBTOOL@%$LIBTOOL%g
1814s%@libtool@%$libtool%g
1815s%@TAR@%$TAR%g
1816s%@tar@%$tar%g
1817s%@ZIP@%$ZIP%g
1818s%@zip@%$zip%g
1819s%@MAKEDEPEND@%$MAKEDEPEND%g
1820s%@makedepend@%$makedepend%g
1821s%@AWK@%$AWK%g
1822s%@awk@%$awk%g
1823s%@SED@%$SED%g
1824s%@sed@%$sed%g
1825s%@ECHO@%$ECHO%g
1826s%@echo@%$echo%g
1827s%@SORT@%$SORT%g
1828s%@sort@%$sort%g
1829s%@LN_S@%$LN_S%g
1830s%@MSGFMT@%$MSGFMT%g
1831s%@msgfmt@%$msgfmt%g
1832s%@MSGMERGE@%$MSGMERGE%g
1833s%@msgmerge@%$msgmerge%g
1834s%@RPM@%$RPM%g
1835s%@rpm@%$rpm%g
1836s%@rpm_version@%$rpm_version%g
1837s%@RPMBUILD@%$RPMBUILD%g
1838s%@rpmbuild@%$rpmbuild%g
1839s%@CPP@%$CPP%g
1840s%@libattr@%$libattr%g
1841s%@have_zipped_manpages@%$have_zipped_manpages%g
1842
1843CEOF
1844EOF
1845
1846cat >> $CONFIG_STATUS <<\EOF
1847
1848# Split the substitutions into bite-sized pieces for seds with
1849# small command number limits, like on Digital OSF/1 and HP-UX.
1850ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1851ac_file=1 # Number of current file.
1852ac_beg=1 # First line for current file.
1853ac_end=$ac_max_sed_cmds # Line after last line for current file.
1854ac_more_lines=:
1855ac_sed_cmds=""
1856while $ac_more_lines; do
1857  if test $ac_beg -gt 1; then
1858    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1859  else
1860    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1861  fi
1862  if test ! -s conftest.s$ac_file; then
1863    ac_more_lines=false
1864    rm -f conftest.s$ac_file
1865  else
1866    if test -z "$ac_sed_cmds"; then
1867      ac_sed_cmds="sed -f conftest.s$ac_file"
1868    else
1869      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1870    fi
1871    ac_file=`expr $ac_file + 1`
1872    ac_beg=$ac_end
1873    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1874  fi
1875done
1876if test -z "$ac_sed_cmds"; then
1877  ac_sed_cmds=cat
1878fi
1879EOF
1880
1881cat >> $CONFIG_STATUS <<EOF
1882
1883CONFIG_FILES=\${CONFIG_FILES-"include/builddefs"}
1884EOF
1885cat >> $CONFIG_STATUS <<\EOF
1886for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1887  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1888  case "$ac_file" in
1889  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1890       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1891  *) ac_file_in="${ac_file}.in" ;;
1892  esac
1893
1894  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1895
1896  # Remove last slash and all that follows it.  Not all systems have dirname.
1897  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1898  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1899    # The file is in a subdirectory.
1900    test ! -d "$ac_dir" && mkdir "$ac_dir"
1901    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1902    # A "../" for each directory in $ac_dir_suffix.
1903    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1904  else
1905    ac_dir_suffix= ac_dots=
1906  fi
1907
1908  case "$ac_given_srcdir" in
1909  .)  srcdir=.
1910      if test -z "$ac_dots"; then top_srcdir=.
1911      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1912  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1913  *) # Relative path.
1914    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1915    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1916  esac
1917
1918
1919  echo creating "$ac_file"
1920  rm -f "$ac_file"
1921  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1922  case "$ac_file" in
1923  *Makefile*) ac_comsub="1i\\
1924# $configure_input" ;;
1925  *) ac_comsub= ;;
1926  esac
1927
1928  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1929  sed -e "$ac_comsub
1930s%@configure_input@%$configure_input%g
1931s%@srcdir@%$srcdir%g
1932s%@top_srcdir@%$top_srcdir%g
1933" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1934fi; done
1935rm -f conftest.s*
1936
1937# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1938# NAME is the cpp macro being defined and VALUE is the value it is being given.
1939#
1940# ac_d sets the value in "#define NAME VALUE" lines.
1941ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
1942ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
1943ac_dC='\3'
1944ac_dD='%g'
1945# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1946ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1947ac_uB='\([ 	]\)%\1#\2define\3'
1948ac_uC=' '
1949ac_uD='\4%g'
1950# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1951ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1952ac_eB='$%\1#\2define\3'
1953ac_eC=' '
1954ac_eD='%g'
1955
1956if test "${CONFIG_HEADERS+set}" != set; then
1957EOF
1958cat >> $CONFIG_STATUS <<EOF
1959  CONFIG_HEADERS="include/config.h"
1960EOF
1961cat >> $CONFIG_STATUS <<\EOF
1962fi
1963for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1964  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1965  case "$ac_file" in
1966  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1967       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1968  *) ac_file_in="${ac_file}.in" ;;
1969  esac
1970
1971  echo creating $ac_file
1972
1973  rm -f conftest.frag conftest.in conftest.out
1974  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1975  cat $ac_file_inputs > conftest.in
1976
1977EOF
1978
1979# Transform confdefs.h into a sed script conftest.vals that substitutes
1980# the proper values into config.h.in to produce config.h.  And first:
1981# Protect against being on the right side of a sed subst in config.status.
1982# Protect against being in an unquoted here document in config.status.
1983rm -f conftest.vals
1984cat > conftest.hdr <<\EOF
1985s/[\\&%]/\\&/g
1986s%[\\$`]%\\&%g
1987s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1988s%ac_d%ac_u%gp
1989s%ac_u%ac_e%gp
1990EOF
1991sed -n -f conftest.hdr confdefs.h > conftest.vals
1992rm -f conftest.hdr
1993
1994# This sed command replaces #undef with comments.  This is necessary, for
1995# example, in the case of _POSIX_SOURCE, which is predefined and required
1996# on some systems where configure will not decide to define it.
1997cat >> conftest.vals <<\EOF
1998s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1999EOF
2000
2001# Break up conftest.vals because some shells have a limit on
2002# the size of here documents, and old seds have small limits too.
2003
2004rm -f conftest.tail
2005while :
2006do
2007  ac_lines=`grep -c . conftest.vals`
2008  # grep -c gives empty output for an empty file on some AIX systems.
2009  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
2010  # Write a limited-size here document to conftest.frag.
2011  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
2012  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
2013  echo 'CEOF
2014  sed -f conftest.frag conftest.in > conftest.out
2015  rm -f conftest.in
2016  mv conftest.out conftest.in
2017' >> $CONFIG_STATUS
2018  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
2019  rm -f conftest.vals
2020  mv conftest.tail conftest.vals
2021done
2022rm -f conftest.vals
2023
2024cat >> $CONFIG_STATUS <<\EOF
2025  rm -f conftest.frag conftest.h
2026  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
2027  cat conftest.in >> conftest.h
2028  rm -f conftest.in
2029  if cmp -s $ac_file conftest.h 2>/dev/null; then
2030    echo "$ac_file is unchanged"
2031    rm -f conftest.h
2032  else
2033    # Remove last slash and all that follows it.  Not all systems have dirname.
2034      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
2035      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2036      # The file is in a subdirectory.
2037      test ! -d "$ac_dir" && mkdir "$ac_dir"
2038    fi
2039    rm -f $ac_file
2040    mv conftest.h $ac_file
2041  fi
2042fi; done
2043
2044EOF
2045cat >> $CONFIG_STATUS <<EOF
2046
2047EOF
2048cat >> $CONFIG_STATUS <<\EOF
2049
2050exit 0
2051EOF
2052chmod +x $CONFIG_STATUS
2053rm -fr confdefs* $ac_clean_files
2054test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
2055
2056